OVH Host spigot doesn't work while BisecptHosting does

Discussion in 'Hosting Advice' started by PockedMC, May 5, 2017.

  1. Hey there, on part of the server we are currently developing we use our custom paperspigot

    On our test server, which was a small 1G BisecptHosting server, our custom jar file worked completely fine

    However - Using our OVH Hosting platform, when I try to load up our spigot file it replys with an error.

    Code (Text):

    java.lang.UnsupportedClassVersionError: net/minecraft/server/v1_7_R4/EntityHuman : Unsupported major.minor version 52.0
            at java.lang.ClassLoader.defineClass1(Native Method)
            at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
            at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
            at java.net.URLClassLoader.defineClass(URLClassLoader.java:442)
            at java.net.URLClassLoader.access$100(URLClassLoader.java:64)
            at java.net.URLClassLoader$1.run(URLClassLoader.java:354)
            at java.net.URLClassLoader$1.run(URLClassLoader.java:348)
            at java.security.AccessController.doPrivileged(Native Method)
            at java.net.URLClassLoader.findClass(URLClassLoader.java:347)
            at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
            at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
            at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
            at net.minecraft.server.v1_7_R4.DispenserRegistry.b(SourceFile:355)
            at net.minecraft.server.v1_7_R4.MinecraftServer.main(MinecraftServer.java:815)
            at org.bukkit.craftbukkit.Main.main(Main.java:208)

     
    Spigot1.7.10-1.8 works completely fine with this but it seems to just be our custom jar - our custom jar still works on the Bisecpt hosting though

    Thanks for the help before hand,
    ~ Pocked
     
  2. We don't provide support for custom spigot versions. Please use an official version or solve it yourself.

    EDIT: This was a joke
     
    #2 ExplosiveNight, May 5, 2017
    Last edited: May 6, 2017
    • Funny Funny x 3
  3. electronicboy

    IRC Staff

    Install java 8
     
    • Agree Agree x 5
  4. Eh that is spigot but then 1.7 whilst that OVH server runs on a outdated java so @electronicboy is right.
     
  5. MikeA

    MikeA Retired Moderator
    Retired Benefactor

    Why blame OVH for not knowing how to install proper Java?
     
    • Winner Winner x 5
  6. Hey there @electronicboy I installed openjdk-7-jdk and thats the highest it lets me have -

    openjdk-8-jdk just says there is no such thing as that
     
    • Agree Agree x 1
  7. Which os?
     
    • Agree Agree x 1
  8. Bonjour j'ai le même problème PocketMC moi je suis sous Debian et j'ai installer java 7 mais je ne connais pas la commande pour installer la 8
    :/
     
  9. Little piece of advice, never use the OVH kernel, when installing the OS on your dedicated machine, there is an option to use "ORIGINAL KERNEL" check this when installing, if you know how to run a dedicated machine, everything will work like a charm on the original kernel.
     
  10. Me by cons I'm not on ovh:3 I'm on a heberg vps at OMGServ I'm just looking for the command to install java 8 if there is one :)
     
  11. electronicboy

    IRC Staff

    Google. We're not going to run around for you if you're incapable of googling.

    There are 20 dozen guides on google that will tell you exactly what you need for your distro, I'd suggest using the Oracle JDK, and digital ocean have guides on all of this.
     
    • Agree Agree x 1